团队
更改团队成员角色
POST
/api/teams/{teamId}/users/{userId}根据调用者的角色和权限,更新用户在指定团队中的角色。
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| teamIdrequired | string | ID of the associated team. |
| userIdrequired | string | ID of the associated user. |
Request body
| Name | Type | Description |
|---|---|---|
| rolerequired | enum<string> | Permission role assigned to the user. Options: team-member, team-view-only, team-manager |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| idrequired | string | Unique identifier of the resource. |
| rolerequired | string | Permission role assigned to the user. |
| teamIdrequired | string | ID of the associated team. |
| updatedAtrequired | string | Date and time the record was last updated. |
| userIdrequired | string | ID of the associated user. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL